﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Steema.TeeChart;
using Steema.TeeChart.Editors;
using Steema.TeeChart.Styles;

namespace WindowsFormsApplication1
{
	public partial class Form1 : Form
	{
		TChart tChart1;

		public Form1()
		{
			InitializeComponent();
			CreateChart();
			InitializeChart();
		}

		Error series1;

		private void InitializeChart()
		{
			EditorUtils.FillEnum(comboBox1, typeof(ErrorStyles));
			tChart1.Aspect.View3D = false;
			series1 = new Error(tChart1.Chart);
      series1.Add(0, 50, 10);
      series1.Add(1, 80, 20);
      series1.Add(2, 20, 8);
      series1.Add(3, 60, 30);
      series1.Add(4, 40, 5);
      comboBox1.SelectedIndex = 2;
      checkBox1.Enabled = false;
			
		}

		private void CreateChart()
		{
			tChart1 = new TChart();
			tChart1.Dock = DockStyle.Fill;
			panel1.Controls.Add(tChart1);
		}

		private void DoChanged()
		{
			ErrorStyles style = (ErrorStyles)comboBox1.SelectedItem;
			series1.ErrorStyle = style;

			if (style == ErrorStyles.Left || style == ErrorStyles.Right || style == ErrorStyles.LeftRight)
			{
        tChart1.Axes.Left.MinimumOffset = 1;
        tChart1.Axes.Left.MaximumOffset = 1;
        tChart1.Axes.Bottom.MinimumOffset = 1;
        tChart1.Axes.Bottom.MaximumOffset = 1;

        tChart1.Axes.Bottom.SetMinMax((series1.ErrorValues.Maximum - series1.XValues.Minimum) * -1, series1.XValues.Maximum + series1.ErrorValues.Maximum);
			}
			else
			{
				tChart1.Axes.Left.Automatic = true;
				tChart1.Axes.Bottom.Automatic = true;
			}
		}

		private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
		{
			DoChanged();
		}

		private void checkBox1_CheckedChanged(object sender, EventArgs e)
		{
			tChart1.Axes.Left.Logarithmic = checkBox1.Checked;
			tChart1.Axes.Bottom.Logarithmic = checkBox1.Checked;
			DoChanged();
		}

		private void checkBox2_CheckedChanged(object sender, EventArgs e)
		{
			tChart1.Axes.Left.Inverted = checkBox2.Checked;
			tChart1.Axes.Bottom.Inverted = checkBox2.Checked;
			DoChanged();
		}
	}
}
